Security Experts:

Adobe Patches 17 Vulnerabilities in Reader, Acrobat

As announced last week, Adobe has released its first series of security updates for 2016 to patch vulnerabilities affecting the company’s Acrobat and Reader products.

Acrobat DC and Acrobat Reader DC versions 15.010.20056 (continuous), Acrobat DC and Acrobat Reader DC 15.006.30119 (classic), and Acrobat XI and Reader XI 11.0.14 (desktop) resolve a total of 17 flaws rated critical with a priority rating of 2.

The vulnerabilities have been assigned the following CVE identifiers: CVE-2016-0931, CVE-2016-0932, CVE-2016-0933, CVE-2016-0934, CVE-2016-0935, CVE-2016-0936, CVE-2016-0937, CVE-2016-0938, CVE-2016-0939, CVE-2016-0940, CVE-2016-0941, CVE-2016-0942, CVE-2016-0943, CVE-2016-0944, CVE-2016-0945, CVE-2016-0946 and CVE-2016-0947.

Most of the security holes patched in Adobe Acrobat and Reader are use-after-free, double-free and memory corruption vulnerabilities that can be exploited for arbitrary code execution. The updates also fix a JavaScript API execution restriction bypass, and a code execution issue in Adobe Download Manager related to the directory search path used to find resources.

Adobe has credited the following researchers for reporting the flaws: AbdulAziz Hariri, Brian Gorenc and Jasiel Spelman of HPE's Zero Day Initiative, Behzad Najjarpour Jabbari of Flexera Software, Chris Navarrete of Fortinet, Jaanus Kp of Clarified Security, Linan Hao of Qihoo 360, the researcher known as “kdot,” and Mahinthan Chandramohan, Wei Lei and Liu Yang working with Verisign’s iDefense program. Vladimir Dubrovin, Eric Lawrence, and KeLiu of Tencent have been credited for independently reporting the Download Manager vulnerability.

Adobe says there is no evidence that any of the patched Acrobat and Reader flaws have been exploited in the wild.

The company has also reminded users that Acrobat and Reader 10.x are no longer supported since November 2015.

Last year, Adobe released three security updates for Acrobat and Reader to patch a total of over 100 vulnerabilities. CVE Details shows that Adobe catalogued 460 vulnerabilities last year, of which 300 affected Flash Player.

Related Reading: Mac OS X, iOS Registered Most Disclosed Vulnerabilities in 2015

view counter